<template>
  <!-- 家庭成员添加 -->
  <div>
    <el-dialog
      :title="title + '家庭成员'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="120px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  基础信息
                </span>
              </template>


                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="主建ID" >
                         <el-input
                           size="small"
                           placeholder="请输入主建ID"
                           v-model="params.id"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="创建人电话" prop="phone" >
                         <el-input
                           size="small"
                           placeholder="请输入创建人电话"
                           v-model="params.phone"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="成员姓名" prop="name" >
                         <el-input
                           size="small"
                           placeholder="请输入成员姓名"
                           v-model="params.name"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="成员身份证号" >
                         <el-input
                           size="small"
                           placeholder="请输入成员身份证号"
                           v-model="params.idCard"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdLkFamilyMemberApi from '@/views/Manage/dwd/api/DwdLkFamilyMemberApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'

export default {
  name: 'DwdLkFamilyMemberFormDialog',
  props: {},
  components: {},
  data() {
    return {
      title: '新增',
      showFormDia: false,
      activeCollapseNames: ['1'],

      params: {
            id: null,
            phone: null,
            name: null,
            idCard: null,
      },
      rules: {
          phone: [
            { required: true,
                message: '创建人电话不能为空',
                trigger: 'blur'
            }
          ],
          name: [
            { required: true,
                message: '成员姓名不能为空',
                trigger: 'blur'
            }
          ]
      }
    }
  },
  created() {
  },
  methods: {
    add() {
      this.showFormDia = true
    },
    handleClose() {
      this.params = {
              id: null,
              phone: null,
              name: null,
              idCard: null,
      }

      this.title = '新增'
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdLkFamilyMemberApi.addDwdLkFamilyMember
          }
          if (!!this.params.id) {
            // 修改
            method = DwdLkFamilyMemberApi.editDwdLkFamilyMember
          }
          method(this.params, res => {
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
			  //this.$emit('loadData')
			  this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(response.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>